Skip to main content
GET
/
api
/
v1
/
conversations
Get paginated list of conversations
curl --request GET \
  --url https://{subdomain}.mindhunters.ai/api/v1/conversations \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "message": "Conversations retrieved successfully",
  "data": {
    "current_page": 1,
    "data": [
      {
        "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "type": "Real",
        "status": "Active",
        "responded_by": "AI",
        "is_simulation": true,
        "timestamp": "2023-11-07T05:31:56Z",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "agent_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "channel": "Whatsapp",
        "contact": {
          "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "surname": "<string>",
          "phone_number": "<string>",
          "email": "<string>"
        },
        "session_uuids": [
          "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        ],
        "campaign_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "listing_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "task_uuids": [
          "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        ],
        "call": {
          "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "direction": "Inbound",
          "status": "in-progress",
          "duration": 123,
          "recording_url": "<string>",
          "handled_by": "AI",
          "summary": "<string>",
          "timestamp": "2023-11-07T05:31:56Z"
        }
      }
    ],
    "total": 123,
    "last_page": 123
  }
}

Authorizations

Authorization
string
header
required

Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"

Query Parameters

page
integer
default:1
per_page
integer
default:15
Required range: x <= 100
phone
string

Filter by contact phone number (partial match)

contact_uuid
string<uuid>

Filter by contact UUID

agent_uuid
string<uuid>

Filter by agent UUID

campaign_uuid
string<uuid>

Filter by campaign UUID (via conversation's call)

task_uuid
string<uuid>

Filter by task UUID (matched via task.third_party_id = call.uuid)

channel
string

Filter by channel name (e.g. whatsapp, sms, call)

Example:

"whatsapp"

status
enum<string>
Available options:
Active,
Closed
sort_by
enum<string>
default:created_at
Available options:
created_at,
updated_at
sort_dir
enum<string>
default:desc
Available options:
asc,
desc

Response

Success

success
boolean
Example:

true

message
string
Example:

"Conversations retrieved successfully"

data
object